#<profile4xi profile = "13"/>
# -------------------------------------------------------------------------------------------------
#<program4xi program = "walk4py.py">
#<abstract4xi abstract = "walks directories"/>
#<refer4xi reference = "Studio4Xi"/>
#<note4xi note = "the same logic is used to find information about content such as source files"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting; [Rel 7.21]"/>
#<use4xi usage = "
#
# 1) go to Studio4Xi in commmand mode
#       > go3studio4fb <-- Python 3 version of Studio4Xi in Fastblack workstation (fb)
#       Tip: you could use the same go2studio4xi-command in all workstations just varying the content! 
#
# 2) > walk4py
#      note: first edit your seach pattern!
#
# 3) view results in walk4py.txt
#/>
# 
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'walk4py' ]
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os,sys,string
import time4xi 
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from time4xi import time4xi    
from version4xi import VersionKB4Xi
from version4xi import ROOT4XI
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi Globals                            
# -------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global path2walk4multiprocessing

#"
#"/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
path2walk4multiprocessing = VersionKB4Xi['multiprocessing4xi']

#"
#"/>

# -------------------------------------------------------------------------------------------------
# Pattern
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "

ice_find_s1='#<program4xi program =' # 
ice_find_s2='ala_loyda_tata' #
ice_find_s3='ala_loyda_tata' #
ice_find_s4='ala_loyda_tata' #
ice_find_s5='ala_loyda_tata' #
ice_find_s6='ala_loyda_tata' #
ice_find_s7='ala_loyda_tata' # 
ice_find_s8='ala_loyda_tata' #
ice_find_s9='ala_loyda_tata' #
ice_find_s10='ala_loyda_tata' #
ice_find_s11='ala_loyda_tata' #
ice_find_s12='ala_loyda_tata' #
ice_find_s13='ala_loyda_tata' #
ice_find_s14='ala_loyda_tata' #
ice_find_s15='ala_loyda_tata' #
ice_find_s16='ala_loyda_tata' #
ice_find_s17='ala_loyda_tata' #
ice_find_s18='ala_loyda_tata' #
ice_find_s19='ala_loyda_tata' #
ice_find_s20='ala_loyda_tata' #
ice_find_s21='ala_loyda_tata' #
ice_find_s22='ala_loyda_tata' #
ice_find_s23='ala_loyda_tata' #
ice_find_s24='ala_loyda_tata' #
ice_find_s25='ala_loyda_tata' #
ice_find_s26='ala_loyda_tata' #
ice_find_s27='ala_loyda_tata' #
ice_find_s28='ala_loyda_tata' #
ice_find_s29='ala_loyda_tata' #
ice_find_s30='ala_loyda_tata' #
ice_find_s31='ala_loyda_tata' #
ice_find_s32='ala_loyda_tata' #
ice_find_s33='ala_loyda_tata' #
ice_find_s34='ala_loyda_tata' #
ice_find_s35='ala_loyda_tata' #
ice_find_s36='ala_loyda_tata' #
ice_find_s37='ala_loyda_tata' #
ice_find_s38='ala_loyda_tata' #
ice_find_s39='ala_loyda_tata' #
ice_find_s40='ala_loyda_tata' #
ice_find_s41='ala_loyda_tata' #
ice_find_s42='ala_loyda_tata' #
ice_find_s43='ala_loyda_tata' #
ice_find_s44='ala_loyda_tata' #
ice_find_s45='ala_loyda_tata' #
ice_find_s46='ala_loyda_tata' #
ice_find_s47='ala_loyda_tata' #
ice_find_s48='ala_loyda_tata' #
ice_find_s49='ala_loyda_tata' #
ice_find_s50='ala_loyda_tata' #
ice_find_s51='ala_loyda_tata' #
ice_find_s52='ala_loyda_tata' #
ice_find_s53='ala_loyda_tata' #
ice_find_s54='ala_loyda_tata' #
ice_find_s55='ala_loyda_tata' #
ice_find_s56='ala_loyda_tata' #
ice_find_s57='ala_loyda_tata' #
ice_find_s58='ala_loyda_tata' #
ice_find_s59='ala_loyda_tata' #
ice_find_s60='ala_loyda_tata' #
ice_find_s61='ala_loyda_tata' #
ice_find_s62='ala_loyda_tata' #
ice_find_s63='ala_loyda_tata' #
ice_find_s64='ala_loyda_tata' #
ice_find_s65='ala_loyda_tata' #
ice_find_s66='ala_loyda_tata' #
ice_find_s67='ala_loyda_tata' #
ice_find_s68='ala_loyda_tata' #
ice_find_s69='ala_loyda_tata' #
ice_find_s70='ala_loyda_tata' #
#"
#"/>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "walk4py" usage = "
#   find anchor references
#"> 
# -------------------------------------------------------------------------------------------------
def walk4py(icepFullName):
    iceName=os.path.splitext(icepFullName)
    #print ('icepFullName: ' + icepFullName)
    #print ('iceName[0]: ' + iceName[0])
    #print ('iceName[1]: ' + iceName[1])
    count_pass = 0
    count_found = 0
    if iceName[1] == '.py':
       iceInput = iceName[0]+'.py'
       input_file = open(iceInput)
       #process each line
       while 1:
             l_in = input_file.readline() 
             if not l_in:
                break #all lines read, finish
             else:
                i_xi2=str.find(l_in,ice_find_s1)   # find 1
                #print ('i_p value from str.find: ')
                #print (i_xi2)
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print (it )
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)
                i_xi2=str.find(l_in,ice_find_s2)   # find 2
                #print ('i_p value from str.find: ')
                #print (i_xi2)
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it 
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)
                i_xi2=str.find(l_in,ice_find_s3)   # find 3
                #print ('i_p value from str.find: ')
                #print (i_xi2)
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)
#
                i_xi2=str.find(l_in,ice_find_s4)   # find 4
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)   
#
                i_xi2=str.find(l_in,ice_find_s5)   # find 5
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s6)   # find 6
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#                                      
#
                i_xi2=str.find(l_in,ice_find_s7)   # find 7
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s8)   # find 8
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s9)   # find 9
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s10)   # find 10
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s11)   # find 11
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s12)   # find 12
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s13)   # find 13
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s14)   # find 14
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s15)   # find 15
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s16)   # find 16
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s17)   # find 17
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s18)   # find 18
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s19)   # find 19
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s20)   # find 20
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s21)   # find 21
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s22)   # find 22
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s23)   # find 23
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s24)   # find 24
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s25)   # find 25
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s26)   # find 26
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s27)   # find 27
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s28)   # find 28
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s29)   # find 29
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s30)   # find 30
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s31)   # find 31
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s32)   # find 32
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s33)   # find 33
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s34)   # find 34
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s35)   # find 35
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s36)   # find 36
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s37)   # find 37
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s38)   # find 38
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s39)   # find 39
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s40)   # find 40
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s41)   # find 41
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s42)   # find 42
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s43)   # find 43
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s44)   # find 44
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s45)   # find 45
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s46)   # find 46
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s47)   # find 47
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s48)   # find 48
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s49)   # find 49
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s50)   # find 50
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s51)   # find 51
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s52)   # find 52
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s53)   # find 53
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s54)   # find 54
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s55)   # find 55
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s56)   # find 56
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s57)   # find 57
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s58 )   # find 58
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s59)   # find 59
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s60)   # find 60
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  
#
#
                i_xi2=str.find(l_in,ice_find_s61)   # find 61
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s62)   # find 62
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s63)   # find 63
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s64)   # find 64
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s65)   # find 65
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s66)   # find 66
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s67)   # find 67
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s68)   # find 68
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s69)   # find 69
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
                i_xi2=str.find(l_in,ice_find_s70)   # find 70
                if i_xi2 == -1:
                   count_pass = count_pass + 1
                else: 
                   # line found, print it
                   count_found = count_found + 1
                   print ('***' + icepFullName + ':')
                   print ('*** line: ' + l_in)  

#
#
       print ('icepFullName: ' + icepFullName)
       print ('count_pass: ')
       print (count_pass)
       print ('count_found: ')
       print (count_found)
       input_file.close()
#</function4xi>    

# =================================================================================================
#<class4xi class = "DirectoryWalker" base = "object" child = "None" synopsis = "Alpha-series" usage = "
#   a forward iterator that traverses a directory tree"
#>
# =================================================================================================
class DirectoryWalker(object):

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init" usage = "init"> 
    # ---------------------------------------------------------------------------------------------
    def __init__(self, directory):
        self.stack = [directory]
        self.files = []
        self.index = 0
    #</methodize4xi>
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "getitem" usage = "gets item"> 
    # ---------------------------------------------------------------------------------------------
    def __getitem__(self, index):
        while 1:
            try:
                file = self.files[self.index]
                self.index = self.index + 1
            except IndexError:
                # pop next directory from stack
                self.directory = self.stack.pop()
                self.files = os.listdir(self.directory)
                self.index = 0
            else:
                # got a filename
                fullname = os.path.join(self.directory, file)
                if os.path.isdir(fullname) and not os.path.islink(fullname):
                    self.stack.append(fullname)
                return fullname
    #</methodize4xi>
           
#</class4xi>  
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "main" usage = "
#   main of walk4py
#">                               
# -------------------------------------------------------------------------------------------------   
def main():

    global path2walk4multiprocessing
    
    print('=' *70)
    print("walk4py [Rel 7.21] ", time4xi(), path2walk4multiprocessing)
    print('=' *70)
        
    
    for ice_file in DirectoryWalker(path2walk4multiprocessing):
        if os.path.isdir(ice_file):
            print ("Directory: " + ice_file + '\n')
        if os.path.isfile(ice_file):
            #print "Input file: " + ice_file + '\n'
            walk4py(ice_file)
    
    print('=' *70)
    print("EOF walk4py  [Rel 7.21] for ", path2walk4multiprocessing, "  ", time4xi())
    print('=' *70)    
    
#</function4xi>
    
# -------------------------------------------------------------------------------------------------
#
# -------------------------------------------------------------------------------------------------
if __name__ == '__main__':
    main()        

#</program4xi>
    
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   walk4py.txt
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of walk4py.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
